﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Fluke 105: ADJ RS-232 /5500A+SC300
DATE:                  2018-11-04 00:22:51
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 22109 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       447
CONFIGURATION:         Fluke 5500A (SC)
=============================================================================
#
# Source:
#   Service Manual: Fluke Scopemeter 105, chapter 5
#   P/N: 186459  @0/24-May-1995
#
# System Specifications:
#   TUR calculations are based on specification interval of the accuracy file
#   The default accuracy files contains 90 day specs.
#
#   Fluke make no warranty, expressed or implied, as to the fitness or
#   suitability of this procedure in the customer application.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R     N                                           F        W

  1.002  MATH         MEM2 = INI("startup", "port")
  1.003  JMPL         UUT_SERIAL_PORT ZCMPI(MEM2, "COM5500")

  1.004  DISP         Connect UUT to [MEM2] using the Fluke PM 9080 Optical
  1.004  DISP         Interface Cable.
  1.005  JMPL         CONTINUE

  1.006  LABEL        UUT_SERIAL_PORT
  1.007  DISP         Connect UUT to [MEM2] using the Fluke PM 9080 Optical
  1.007  DISP         Interface Cable and DB9 Null Modem + Gender Changer
  1.007  DISP         Adapter Kit (Fluke #689486).

  1.008  LABEL        CONTINUE
# To enable adjustment, you have to apply the +12V programming voltage
  1.009  DISP         NOTE:
  1.009  DISP         Apply +12V programming voltage
  1.009  DISP         to the programming contacts
  1.009  DISP         in the battery compartment.
# Setup RS232-communication
  1.010  PORT         [P1200,N,8,1,X][T10000][OTERM CR]
# Identify ScopeMeter test tool: M[1] = model number
#                                M[2] = software version
  1.011  PORT         ID[I!][I$]
  1.012  MATH         M[1] = FLD(MEM2, 1, ";")
  1.013  MATH         M[2] = FLD(MEM2, 2, ";")
  1.014  MATH         MEM1 = M[1] - 105
  1.015  JMPZ         1.017
  1.016  JMP          1.311
# enable the SERVICE-mode of the ScopeMeter test tool
  1.017  PORT         EX110,0[I][D200]FLUKPHIL[I]

# Query Scopemeter Cal Fields
# returns Total Cal Fields, # Free
  1.018  PORT         QN[I!][I$]
  1.019  MATH         MEM1 = FLD(MEM2, 2, ",")
# MEM1 contains the number of free spaces in the FlashROM (2, 1 or 0)
# If MEM1 = 0 then the MET/CAL procedure must be stopped
# and the ScopeMeter test tool must be refreshed first.
# If MEM1 = 1 or MEM1 = 2 then 1 or 2 places in FlashROM are free
# for storing calibration data, so program can continue.
  1.020  JMPT         1.023
# Not enough space: terminate adjustment procedure
  1.021  DISP         Not enough space in FlashROM to store
  1.021  DISP         new calibration data,
  1.021  DISP         Calibration Adjustment Procedure terminated.
  1.021  DISP         First use the "REFRESH" software to
  1.021  DISP         refresh the ScopeMeter test tool.
  1.022  JMP          1.309

# Check if any hardware repairs have been done: if not, you may skip
# step 1 up to 4
  1.023  OPBR         Have any components been replaced?
  1.023  OPBR         (Note: the hardware adjustments may be skipped
  1.023  OPBR         unless the ScopeMeter test tool has been repaired.
  1.023  OPBR         If adjustments S6, S7, S8 or S9 fail, also
  1.023  OPBR         restart the MET/CAL procedure and perform H1...H4.)
  1.024  JMPT         1.026
  1.025  JMP          1.051
  1.026  HEAD         Adj H1: HARDWARE PULSE RESPONSE *1 ATTENUATOR
  1.027  DISP         Open up the case of the ScopeMeter test tool.
  1.027  DISP         Refer to chapter 6 of the Service Manual
  1.027  DISP         for detailed instructions.
  1.028  PIC          sc_9xab
# enable service mode, power can have been removed at opening the case
  1.029  PORT         EX110,0[I][D100]FLUKPHIL[I]
  1.030  PORT         EX100,1[I]

# Model 105 hardware adjustments
  1.031  5500         200mVpp                      1kH            ZQ SC S
  1.032  PIC          9x_a2pcb (21,56,LBL/M) "<- Adjust C2209 for  "
  1.032  PIC          (22,56,LBL/M) "   optimum channel A "
  1.032  PIC          (23,56,LBL/M) "   pulse response    "
  1.032  PIC          (2,57,LBL/M) "<- Adjust C2109 for  "
  1.032  PIC          (3,57,LBL/M) "   optimum channel B "
  1.032  PIC          (4,57,LBL/M) "   pulse response    "
  1.032  PIC          (5,57,LBL/M) "   (96/99 only)      "
  1.032  PIC          (21,3,C/B) "Hardware SCOPE adjustment H1      "
  1.032  PIC          (22,3,C/B) "Analog A2 PCB, SMD components side"
  1.033  HEAD         Adj H2: HARDWARE PULSE RESPONSE *10 ATTENUATOR
  1.034  PORT         EX100,2[I]
  1.035  5500         2Vpp                         1kH            ZQ SC S
  1.036  PIC          9x_a2pcb (17,62,LBL/M) "<- Adjust C2207"
  1.036  PIC          (18,62,LBL/M) "   for optimum "
  1.036  PIC          (19,62,LBL/M) "   channel A   "
  1.036  PIC          (20,62,LBL/M) "   pulse       "
  1.036  PIC          (21,62,LBL/M) "   response    "
  1.036  PIC          (6,62,LBL/M) "<- Adjust C2107"
  1.036  PIC          (7,62,LBL/M) "   for optimum "
  1.036  PIC          (8,62,LBL/M) "   channel B   "
  1.036  PIC          (9,62,LBL/M) "   pulse       "
  1.036  PIC          (10,62,LBL/M) "   response    "
  1.036  PIC          (11,62,LBL/M) "   (96/99 only)"
  1.036  PIC          (21,3,C/B) "Hardware SCOPE adjustment H2      "
  1.036  PIC          (22,3,C/B) "Analog A2 PCB, SMD components side"
  1.037  5500         *                                                 S
  1.038  HEAD         Adj H3: HARDWARE PULSE RESPONSE *100 ATTENUATOR
  1.039  PORT         EX100,3[I]
  1.040  5500         20Vpp                        1kH            ZQ SC S
  1.041  PIC          9x_a2pcb (7,56,LBL/M) "<- Adjust C2114 for  "
  1.041  PIC          (8,56,LBL/M) "   optimum channel B  "
  1.041  PIC          (9,56,LBL/M) "   pulse response     "
  1.041  PIC          (10,56,LBL/M) "   (96/99 only)       "
  1.041  PIC          (16,56,LBL/M) "<- Adjust C2214 for  "
  1.041  PIC          (17,56,LBL/M) "   optimum channel A "
  1.041  PIC          (18,56,LBL/M) "   pulse response    "
  1.041  PIC          (21,3,C/B) "Hardware SCOPE adjustment H3      "
  1.041  PIC          (22,3,C/B) "Analog A2 PCB, SMD components side"
  1.042  5500         *                                                 S
  1.043  HEAD         Adj H4: HARDWARE OFFSET AND GAIN
  1.044  PIC          55_9xa
  1.045  PORT         EX100,4[I]
  1.046  5500         254.56mV                     1kH            SI    S  2W
  1.047  PIC          9x_a2pcb (1,2,B/C) "Hardware SCOPE adjustment H4:      "
  1.047  PIC          (2,2,B/C) "Connect TestPoint TP209 to ground. "
  1.047  PIC          (3,2,B/C) "(TP209 is located on the other side"
  1.047  PIC          (4,2,B/C) "of the A2 PCB, in area marked "C1")"
  1.047  PIC          (16,38,LBL/M) "<-- Adjust R2346 and R2347 so that the"
  1.047  PIC          (17,38,LBL/M) "    sinewave on the LCD is exactly 6  "
  1.047  PIC          (18,38,LBL/M) "    divisions: maximum on +3 div.,    "
  1.047  PIC          (19,38,LBL/M) "    minimum on -3 div.                "
  1.047  PIC          (20,38,LBL/M) "    (Tolerance: +/- 1 pixel)          "
  1.048  DISP         Remove the connection between TP209 and ground.
  1.049  5500         *                                                 S
  1.050  DISP         Close the case of the ScopeMeter test tool.
  1.050  DISP         Refer to chapter 6 of the Service Manual
  1.050  DISP         for detailed instructions.
  1.050  DISP
  1.050  DISP         Be sure that the +12V programming voltage is present
  1.050  DISP         and the interface cable is correctly fitted!
# enable the SERVICE-mode of the ScopeMeter test tool
  1.051  PORT         EX110,0[I][D100]FLUKPHIL[I]
  1.052  HEAD         Adj S5: OFFSET CORRECTION
  1.053  PIC          9x_short
  1.054  HEAD         Adj S5: OFFSET CORRECTION in progress...
  1.055  PORT         EX100,5[I]
  1.056  MEME
  1.057  JMPT         1.055
  1.058  HEAD         Adj M1: LINEARITY in progress...Please Wait
  1.059  PORT         EX101,1[I]
  1.060  MEME
  1.061  JMPT         1.059
  1.062  HEAD         Adj M2: ZEROING THE RANGES in progress...
  1.063  PORT         EX101,2[I]
  1.064  MEME
  1.065  JMPT         1.063
  1.066  HEAD         Adj M10: ALL RANGES 0 ohm ADJ in progress...
  1.067  PORT         EX101,10[I]
  1.068  MEME
  1.069  JMPT         1.067
  1.070  HEAD         Adj M3: OPEN CHANNEL A, 300mV RANGE ADJUSTMENT
  1.071  DISP         Remove all connections (all inputs open).
  1.072  HEAD         Adj M3: OPEN CHANNEL A - Adj in progress...
  1.073  PORT         EX101,3[I]
  1.074  MEME
  1.075  JMPT         1.071
  1.076  HEAD         Adj S6: PULSE RESPONSE OF THE *1 ATTENUATOR
  1.077  PIC          sc_9xab
  1.078  5500         300mVpp                      1kH            ZQ SC S
  1.079  PORT         EX100,6[I]
  1.080  MEME
  1.081  JMPT         1.077
  1.082  HEAD         Adj S7: PULSE RESPONSE OF THE *10 ATTENUATOR
  1.083  5500         3Vpp                         1kH            ZQ SC S
  1.084  PORT         EX100,7[I]
  1.085  MEME
  1.086  JMPT         1.084
  1.087  HEAD         Adj S8: PULSE RESPONSE OF THE *100 ATTENUATOR
  1.088  5500         20Vpp                        1kH            ZQ SC S
  1.089  PORT         EX100,8[I]
  1.090  MEME
  1.091  JMPT         1.089
  1.092  HEAD         Adj S9: PULSE RESPONSE OF THE *1000 ATTENUATOR
  1.093  5500         50Vpp                        1kH            ZQ SC S
  1.094  PORT         EX100,9[I]
  1.095  MEME
  1.096  JMPT         1.094
  1.097  HEAD         Adj S10: GAIN FOR 5mV
  1.098  5500         20mVpp                       1kH            ZQ SC S
  1.099  PORT         EX100,10[I]
  1.100  MEME
  1.101  JMPT         1.099
  1.102  HEAD         Adj S11: GAIN FOR 10mV
  1.103  5500         50mVpp                       1kH            ZQ SC S
  1.104  PORT         EX100,11[I]
  1.105  MEME
  1.106  JMPT         1.104
  1.107  HEAD         Adj S12: GAIN FOR 20mV
  1.108  5500         100mVpp                      1kH            ZQ SC S
  1.109  PORT         EX100,12[I]
  1.110  MEME
  1.111  JMPT         1.109
  1.112  HEAD         Adj S13: GAIN FOR 50mV
  1.113  5500         200mVpp                      1kH            ZQ SC S
  1.114  PORT         EX100,13[I]
  1.115  MEME
  1.116  JMPT         1.114
  1.117  HEAD         Adj S14: GAIN FOR 100mV
  1.118  5500         500mVpp                      1kH            ZQ SC S
  1.119  PORT         EX100,14[I]
  1.120  MEME
  1.121  JMPT         1.119
  1.122  HEAD         Adj S15: GAIN FOR 200mV
  1.123  5500         1Vpp                         1kH            ZQ SC S
  1.124  PORT         EX100,15[I]
  1.125  MEME
  1.126  JMPT         1.124
  1.127  HEAD         Adj S16: GAIN FOR 2V
  1.128  5500         10Vpp                        1kH            ZQ SC S
  1.129  PORT         EX100,16[I]
  1.130  MEME
  1.131  JMPT         1.129
  1.132  HEAD         Adj S17: GAIN FOR 20V
  1.133  5500         100Vpp                       356H           SM SC S
  1.134  PORT         EX100,17[I]
  1.135  MEME
  1.136  JMPT         1.134
  1.137  5500         *                                                 S
  1.138  HEAD         Adj S18: SHIFT GAIN *1 MODE ADJUSTMENT
  1.139  5500         200mVpp                      1kH            ZQ SC S
  1.140  PORT         EX100,18[I]
  1.141  MEME
  1.142  JMPT         1.140
  1.143  HEAD         Adj S19: SHIFT GAIN /8 MODE ADJUSTMENT
  1.144  5500         20mVpp                       1kH            ZQ SC S
  1.145  HEAD         Adj S19: SHIFT GAIN /8 MODE adj in progress...
  1.146  PORT         EX100,19[I]
  1.147  MEME
  1.148  JMPT         1.146
  1.149  5500         *                                                 S
  1.150  HEAD         Adj S20: CHANNEL A 50% TRIGGER LEVEL ADJUSTMENT
  1.151  5500         0.707V                       10kH           SI SC S
  1.152  PORT         EX100,20[I]
  1.153  MEME
  1.154  JMPT         1.152
  1.155  HEAD         Adj S21: CHANNEL A 90% TRIGGER LEVEL ADJUSTMENT
  1.156  PORT         EX100,21[I]
  1.157  MEME
  1.158  JMPT         1.156
  1.159  HEAD         Adj S22: CHANNEL B 50% TRIGGER LEVEL ADJUSTMENT
  1.160  PORT         EX100,22[I]
  1.161  MEME
  1.162  JMPT         1.160
  1.163  HEAD         Adj S23: CHANNEL B 90% TRIGGER LEVEL ADJUSTMENT
  1.164  PORT         EX100,23[I]
  1.165  MEME
  1.166  JMPT         1.164
  1.167  5500         *                                                 S
  1.168  HEAD         Adj S24: EXTERNAL TRIGGERING ADJUSTMENT
  1.169  PIC          sc_9xae
  1.170  5500         0.707V                       10kH           SI SC S
  1.171  PORT         EX100,24[I]
  1.172  MEME
  1.173  JMPT         1.169
  1.174  5500         *                                                 S
  1.175  HEAD         Adj S25: RANDOM SAMPLING ADJUSTMENT
  1.176  PIC          sc_9xat
  1.177  5500         0.55Vpp                      100kH          ED SC S  L
  1.178  HEAD         Adj S25: RANDOM SAMPLING adj in progress...
  1.179  PORT         EX100,25[I]
  1.180  MEME
  1.181  JMPT         1.179
  1.182  5500         *                                                 S
  1.183  JMP          1.184
  1.184  HEAD         Adj M4: CHANNEL A, 300mV RANGE GAIN ADJUSTMENT
  1.185  PIC          55_9xa
  1.186  5500         300mV                                             S  2W
  1.187  PORT         EX101,4[I]
  1.188  MEME
  1.189  JMPT         1.186
  1.190  HEAD         Adj M23: CHANNEL A, 1V GAIN ADJUSTMENT
  1.191  5500         1V                                                S  2W
  1.192  PORT         EX101,23[I]
  1.193  MEME
  1.194  JMPT         1.191
  1.195  HEAD         Adj M5: CHANNEL A, 3V RANGE GAIN ADJUSTMENT
  1.196  5500         3V                                                S  2W
  1.197  PORT         EX101,5[I]
  1.198  MEME
  1.199  JMPT         1.197
  1.200  HEAD         Adj M6: CHANNEL A, 30V RANGE GAIN ADJUSTMENT
  1.201  5500         30V                                               S  2W
  1.202  PORT         EX101,6[I]
  1.203  MEME
  1.204  JMPT         1.202
  1.205  HEAD         Adj M24: CHANNEL A, 100V GAIN ADJUSTMENT
  1.206  5500         100V                                              S  2W
  1.207  PORT         EX101,24[I]
  1.208  MEME
  1.209  JMPT         1.207
  1.210  HEAD         Adj M7: CHANNEL A, 300V RANGE GAIN ADJUSTMENT
  1.211  5500         300V                                              S  2W
  1.212  PORT         EX101,7[I]
  1.213  MEME
  1.214  JMPT         1.212
  1.215  5500         *                                                 S
  1.216  HEAD         Adj M8: EXTERNAL INPUT, 300mV RANGE, GAIN ADJUSTMENT
  1.217  PIC          55_9xe
  1.218  5500         300mV                                             S  2W
  1.219  PORT         EX101,8[I]
  1.220  MEME
  1.221  JMPT         1.218
  1.222  HEAD         Adj M9: EXTERNAL INPUT, 3V RANGE, GAIN ADJUSTMENT
  1.223  5500         3V                                                S  2W
  1.224  PORT         EX101,9[I]
  1.225  MEME
  1.226  JMPT         1.224
  1.227  5500         *                                                 S
  1.228  HEAD         Adj M11: ADJUSTMENT OF THE 300 Ω RANGE
  1.229  5500         100Z                                              S  2W
  1.230  PORT         [D1000]EX101,11[I]
  1.231  MEME
  1.232  JMPT         1.229
  1.233  HEAD         Adj M12: ADJUSTMENT OF THE 3 kΩ RANGE
  1.234  5500         1kZ                                               S  2W
  1.235  PORT         [D1000]EX101,12[I]
  1.236  MEME
  1.237  JMPT         1.235
  1.238  HEAD         Adj M13: ADJUSTMENT OF THE 30 kΩ RANGE
  1.239  5500         10kZ                                              S  2W
  1.240  PORT         [D1000]EX101,13[I]
  1.241  MEME
  1.242  JMPT         1.240
  1.243  HEAD         Adj M14: ADJUSTMENT OF THE 300 kΩ RANGE
  1.244  5500         100kZ                                             S  2W
  1.245  PORT         [D1000]EX101,14[I]
  1.246  MEME
  1.247  JMPT         1.245
  1.248  HEAD         Adj M15: ADJUSTMENT OF THE 3 MΩ RANGE
  1.249  5500         1MZ                                               S  2W
  1.250  PORT         [D1000]EX101,15[I]
  1.251  MEME
  1.252  JMPT         1.250
  1.253  HEAD         Adj M16: ADJUSTMENT OF THE 30 MΩ RANGE
  1.254  5500         10MZ                                              S  2W
  1.255  PORT         [D2000]EX101,16[I]
  1.256  MEME
  1.257  JMPT         1.255
  1.258  5500         *                                                 S
  1.259  HEAD         Adj M18: CURRENT RAMP ADJUSTMENT
  1.260  PIC          55_9xae
  1.261  5500         100Z                                              S  2W
  1.262  PORT         EX101,18[I]
  1.263  MEME
  1.264  JMPT         1.261
  1.265  5500         *                                                 S
  1.266  HEAD         Adj M17: VOLTAGE RAMP ADJUSTMENT
  1.267  PIC          9x_c1a
  1.268  PORT         EX101,17[I]
  1.269  MEME
  1.270  JMPT         1.267
  1.271  HEAD         Adj M21: ADJUSTMENT FOR CHANNEL A 1:1 PROBE
  1.272  PORT         EX101,21[I]
  1.273  MEME
  1.274  JMPT         1.267
  1.275  HEAD         Adj M22: ADJUSTMENT FOR CHANNEL B 1:1 PROBE
  1.276  PIC          9x_c1b
  1.277  PORT         EX101,22[I]
  1.278  MEME
  1.279  JMPT         1.276
  1.280  HEAD         Adj M19: ADJUSTMENT FOR CHANNEL A 10:1 PROBE (RED)
  1.281  PIC          9x_c10a
  1.282  PORT         EX101,19[I]
  1.283  MEME
  1.284  JMPT         1.281
  1.285  HEAD         Adj M20: ADJUSTMENT FOR CHANNEL B 10:1 PROBE (GREY)
  1.286  PIC          9x_c10b
  1.287  PORT         EX101,20[I]
  1.288  MEME
  1.289  JMPT         1.286
  1.290  DISP         Remove all connections.
  1.291  DISP         Transfer control to the CALstore program.
  1.291  DISP
  1.291  DISP         Be sure that the +12V programming voltage is present
  1.291  DISP         and the interface cable is correctly fitted!
# Enable the SERVICE-mode of the ScopeMeter test tool.
  1.292  PORT         EX110,0[I]
  1.293  PORT         FLUKPHIL[I]
# Store the CAL DATA
  1.294  PORT         EX999[I][D2000]
  1.295  MEME
# If MEM1 = 0, then everything was OK.
# If MEM1 = 1, then an error has occured.
  1.296  JMPZ         1.299
  1.297  DISP         An error has occured during execution of CAL STORE
  1.297  DISP         The calibration data is not stored in FlasROM!
# and leave the procedure!
  1.298  JMP          1.309

# disable the SERVICE-mode of the ScopeMeter test tool
  1.299  PORT         EX111,0[I]
  1.300  DISP         Calibration Adjustment Procedure finished.
  1.300  DISP
  1.300  DISP         First remove the +12V programming voltage
  1.300  DISP         and restart the ScopeMeter, using a MASTER RESET.

# Reset the ScopeMeter
  1.301  PORT         RI[I]
# enable the SERVICE-mode of the ScopeMeter test tool
  1.302  PORT         EX110,0[I][D200]FLUKPHIL[I]
# Query ScopeMeter Cal Fields
# returns Total Cal Fields, # Free
  1.303  PORT         QN[I!][I$]
  1.304  MATH         MEM1 = FLD(MEM2, 2, ",")
# MEM1 contains the number of free spaces in the FlashROM (2, 1 or 0)
# If MEM1=0 then the MET/CAL procedure must be stopped
# and the ScopeMeter test tool must be refreshed first.
# If MEM1=1 or MEM1=2 then 1 or 2 places in FlashROM are free
# for storing calibration data, so program can continue.
  1.305  JMPZ         1.308
  1.306  DISP         After this adjustment, there is still space for [MEM1]
  1.306  DISP         adjustments. "Refresh" not necessary.
  1.307  JMP          1.309
  1.308  DISP         After this adjustment, all calibration tables
  1.308  DISP         in FlashROM are filled. "Refresh" recommended!


# Turn off headers/messages when leaving this subroutine
  1.309  HEAD
  1.310  MESS
  1.311  END
